DataSourceManager (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.util.stream

## Class DataSourceManager

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.util.stream.DataSourceManager

-     public class DataSourceManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `expectedPoints`
    `protected boolean` | `isActiveFilters`
    `protected boolean` | `onlySelected`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSource` | `getDataSourceByResultType(SpeciesCapability resultType)`
    `static DataSourceManager` | `getInstance()`
    `boolean` | `isActiveFilters()`
    `boolean` | `isOnlySelected()`
    `void` | `setActiveFilters(boolean isActiveFilters)`
    `void` | `setExpectedOccurencePoints(Integer expectedPoints)`
    `void` | `setOnlySelected(boolean onlySelected)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### onlySelected

          protected boolean onlySelected

    - #### isActiveFilters

          protected boolean isActiveFilters

    - #### expectedPoints

          protected int expectedPoints

  - ### Method Detail

    - #### getInstance

          public static DataSourceManager getInstance()

    - #### getDataSourceByResultType

          public DataSource getDataSourceByResultType(SpeciesCapability resultType)

    - #### isOnlySelected

          public boolean isOnlySelected()

    - #### setOnlySelected

          public void setOnlySelected(boolean onlySelected)

    - #### isActiveFilters

          public boolean isActiveFilters()

    - #### setActiveFilters

          public void setActiveFilters(boolean isActiveFilters)

    - #### setExpectedOccurencePoints

          public void setExpectedOccurencePoints(Integer expectedPoints)

Copyright © 2013. All Rights Reserved.